## live-manual 5.0~a2

=== debian/changelog ===
live-manual (1:5.0~a2-2) unstable; urgency=low

  * Removing myself from uploaders, lost trust in Debian (#804315).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 20 Nov 2015 13:04:24 +0100

live-manual (1:5.0~a2-1) unstable; urgency=low

  [ Carlos Zuferri ]
  * Starting work on stretch.
  * Removing remaining references to jessie.
  * Reinstating temporarily removed German translation po files.
  * Reinstating temporarily removed Romanian translation po files.
  * Reinstating temporarily removed Brazilian Portuguese translation po
    files.
  * Reinstating temporarily removed Italian translation po files.
  * Reinstating temporarily removed Polish translation po files.
  * Adding links to languages in index.html.
  * Updating manuals from po files.
  * Updating Catalan translation.
  * Updating Spanish translation.
  * Updating French translation.
  * Adding debian/changelog to check-spelling.
  * Adding debian/changelog to list of files.
  * Substituting http.debian.net for httpredir.debian.org as default in
    user_customization-packages.ssi.
  * Removing references to cdebootstrap since it is not supported anymore.
  * Removing 'jessie' from bold type.
  * Updating translation files from original English texts.
  * Updating Catalan translation.
  * Updating Spanish translation.
  * Updating French translation.

  [ victory ]
  * Sync Japanese translations.

  [ Carlos Zuferri ]
  * Correcting mirror predirector's url in user_customization-
    packages.ssi, Japanese translation.
  * Removing 'jessie' from bold formatting, Japanese translation.
  * Updating Japanese translation.

  [ Daniel Baumann ]
  * Wrap and sort debian control file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 23 Aug 2015 11:03:57 +0200

=== debian/control ===
Source: live-manual
Section: doc
Priority: optional
Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
Uploaders:
 Ben Armstrong <synrg@sanctuary.nslug.ns.ca>,
 Carlos Zuferri <chals@altorricon.com>,
Build-Depends:
 debhelper (>= 9),
 ruby,
 ruby-nokogiri,
Build-Depends-Indep:
 locales,
 po4a,
 sisu-complete (>= 4.2.5-2),
Build-Conflicts:
 locales-all,
Standards-Version: 3.9.6
Homepage: http://live-systems.org/devel/live-manual/
Vcs-Browser: http://live-systems.org/gitweb/?p=live-manual.git
Vcs-Git: git://live-systems.org/git/live-manual.git

Package: live-manual
Section: metapackages
Architecture: all
Depends:
 live-manual-epub (>= ${source:Version}),
 live-manual-html (>= ${source:Version}),
 live-manual-odf (>= ${source:Version}),
 live-manual-pdf (>= ${source:Version}),
 live-manual-txt (>= ${source:Version}),
 ${misc:Depends},
Description: Live Systems Documentation (metapackage)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Live Systems project.
 .
 This package is a metapackage depending on all available output formats.

Package: live-manual-epub
Architecture: all
Depends:
 ${misc:Depends},
Provides:
 live-manual,
Description: Live Systems Documentation (epub)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Live Systems project.
 .
 This package contains the epub output.

Package: live-manual-html
Architecture: all
Depends:
 ${misc:Depends},
Provides:
 live-manual,
Description: Live Systems Documentation (html)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Live Systems project.
 .
 This package contains the html output.

Package: live-manual-odf
Architecture: all
Depends:
 ${misc:Depends},
Provides:
 live-manual,
Description: Live Systems Documentation (odf)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Live Systems project.
 .
 This package contains the odf output.

Package: live-manual-pdf
Architecture: all
Depends:
 ${misc:Depends},
Provides:
 live-manual,
Description: Live Systems Documentation (pdf)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Live Systems project.
 .
 This package contains the pdf output.

Package: live-manual-txt
Architecture: all
Depends:
 ${misc:Depends},
Provides:
 live-manual,
Description: Live Systems Documentation (txt)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Live Systems project.
 .
 This package contains the txt output.

## live-manual 20090401

=== Makefile ===
AUTOBUILD	:= build
#LANGUAGES       := de fr

include Makefile.common

#build: clean translations all
build: clean all
	set -e; for FORMAT in $(FORMATS); do \
		mkdir -p $(AUTOBUILD)/$$FORMAT; \
		cp *.$$FORMAT $(AUTOBUILD)/$$FORMAT; \
	done

	sed '{s/@DATE@/$(shell LC_ALL=C date -R)/;s%/@LANG@%%;}' html/index.html.in > $(AUTOBUILD)/index.html.en

	set -e; for LANGUAGE in $(LANGUAGES); do \
		for FORMAT in $(FORMATS); do \
			mkdir -p $(AUTOBUILD)/$$FORMAT/$$LANGUAGE; \
			cp $$LANGUAGE/*.$$FORMAT $(AUTOBUILD)/$$FORMAT/$$LANGUAGE; \
		done; \
		sed "{s/@DATE@/$(shell LC_ALL=C date -R)/;s/@LANG@/$$LANGUAGE/;}" $$LANGUAGE/html/index.html.in > $(AUTOBUILD)/index.html.$$LANGUAGE; \
	done

	cp html/* $(AUTOBUILD)

po4a:
	po4a -k 0 po4a/live-manual.cfg;

translations: po4a
	set -e; for LANGUAGE in $(LANGUAGES); do \
		mkdir -p $$LANGUAGE; \
		cp -r xml/entities/ $$LANGUAGE; \
		cp -r xsl/ $$LANGUAGE; \
		cp Makefile.common $$LANGUAGE/Makefile; \
		$(MAKE) -C $$LANGUAGE; \
	done

clean:
	-rm -rf $(LANGUAGES)
	rm -f *.html *.pdf *.txt
	rm -f xml/entities/version.ent

purge: clean
	rm -rf build

.PHONY: clean po4a translations

## live-manual 20100101

=== Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	rm -f *.html *.pdf *.txt
 	rm -f xml/entities/version.ent
 
-purge: clean
+distclean: clean
 	rm -rf build
 
 .PHONY: clean po4a translations

## live-manual 20151217

=== debian/changelog ===
live-manual (2:20151217) unstable; urgency=medium

  * Team upload.

  [ Carlos Zuferri ]
  * Updating hooks section (live and normal).
  * Updating translation files from English texts.
  * Updating Catalan translation, hooks.
  * Updating Spanish translation, hooks.
  * Updating French translation, hooks.
  * Fixing naming error in user_customization-runtime, French translation.

  [ victory ]
  * Sync Japanese manual.

  [ trebmuh ]
  * Fixing French translation.
  * Fixing French translation (2nd take).

  [ Carlos Zuferri ]
  * Adding procedure to translate the project's man pages in
    project_contributing.ssi.
  * Adding note and link to translation of man pages in the main Translation
    section.
  * Updating dates in live-manual files.
  * Updating translation files from English texts.
  * Removing wrong references to upper directories in project_contributing.ssi.
  * Updating dates in live-manual files.
  * Updating translation files of project_contributing.
  * Updating Catalan translation.
  * Updating Spanish translation.

  [ trebmuh ]
  * Update French translation.
  * Update French strayed missing translation.

  [ victory ]
  * Update Japanese translation of manual.

  [ Carlos Zuferri ]
  * Using 'Live Systems Project' as default project in .pot files.

  [ Ben Armstrong ]
  * Omitting search form from static html; appropriate only for website.
  * Update addresses to debian.org equivalents.

  [ Iain R. Learmonth ]
  * Changed source format to native.
  * debian/control:
   - Fixed up Vcs-* and Homepage fields.

 -- Iain R. Learmonth <irl@debian.org>  Thu, 17 Dec 2015 20:26:53 +0000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders:
  Ben Armstrong <synrg@sanctuary.nslug.ns.ca>,
  Carlos Zuferri <chals@altorricon.com>,
+ Daniel Baumann <mail@daniel-baumann.ch>,
 Build-Depends:
  debhelper (>= 9),
  ruby,
@@ -16,9 +17,9 @@
 Build-Conflicts:
  locales-all,
 Standards-Version: 3.9.6
-Homepage: http://live-systems.org/devel/live-manual/
-Vcs-Browser: http://live-systems.org/gitweb/?p=live-manual.git
-Vcs-Git: git://live-systems.org/git/live-manual.git
+Homepage: http://debian-live.alioth.debian.org/devel/live-manual/
+Vcs-Browser: http://anonscm.debian.org/cgit/debian-live/live-manual.git
+Vcs-Git: http://anonscm.debian.org/git/debian-live/live-manual.git
 
 Package: live-manual
 Section: metapackages

## live-manual 20151217.1

=== debian/changelog ===
live-manual (2:20151217.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Removing myself from uploaders, again (Closes: #826258).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 04 Jul 2016 20:36:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders:
  Ben Armstrong <synrg@sanctuary.nslug.ns.ca>,
  Carlos Zuferri <chals@altorricon.com>,
- Daniel Baumann <mail@daniel-baumann.ch>,
 Build-Depends:
  debhelper (>= 9),
  ruby,

## live-manual 20151217.2

=== Makefile ===
# Makefile

## live-manual(7) - Documentation
## Copyright (C) 2006-2015 Live Systems Project <debian-live@lists.debian.org>
##
## live-manual comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
## This is free software, and you are welcome to redistribute it
## under certain conditions; see COPYING for details.


SHELL := sh -e

LANGUAGES := en $(shell cd manual/po && ls)

FORMATS := epub html odf pdf txt

DEBUG := 0

ifeq ($(PROOF),1)
	LANGUAGES=en
	FORMATS=html-scroll
endif

ifeq ($(PROOF),2)
	LANGUAGES=en
	FORMATS=pdf-portrait
endif

all: build

test:
	@echo -n "Checking for syntax errors "

	@for SCRIPT in $(shell ls manual/bin/*.sh); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done

	@echo " done!"

	@echo -n "Checking for bashisms "

	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(shell ls manual/bin/*.sh); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "WARNING: skipping bashism test - you need to install devscripts."; \
	fi

	@echo " done!"
	@echo "To interactively check for spelling mistakes, you can run 'make spell'."

tidy:
	# Removing useless whitespaces at EOL
	for FILE in manual/en/*.ssm manual/en/*.ssi; \
	do \
		sed -i -e 's|[ \t]*$$||' $${FILE}; \
	done

build: clean
	#FIXME: do a proper dependency-based build
	#FORMATS = epub html odf pdf txt
	#...
	#%.pdf: $(sisu_sources)
	#	sisu-pdf -v live-manual.ssm
	#etc.

	@# FIXME: sisu-concordance sisu-pg sisu-sqlite

	cd $(CURDIR)/manual; \
	sisu --configure
	for LANGUAGE in $(LANGUAGES); \
	do \
		for FORMAT in $(FORMATS); \
		do \
			cd $(CURDIR)/manual; \
			sisu-$${FORMAT} --no-search-form --no-manifest --verbose $${LANGUAGE}/live-manual.ssm; \
		done; \
	done; \

autobuild: build
	cd build/manual; \
	set +e; for LANGUAGE in $(LANGUAGES); \
	do \
		FROMDIR=$(CURDIR)/manual/$${LANGUAGE}; \
		TODIR=$(CURDIR)/build/manual; \
		cp $${FROMDIR}/index.html.in $${TODIR}; \
		sed -e "s|@DATE_BUILD@|$(shell LC_ALL=C date -R)|" \
		    -e "s|@DATE_CHANGE@|$(shell LC_ALL=C git log | grep -m1 Date | awk -FDate: '{ print $2 }' | sed -e 's|  ||g')|" \
		$${TODIR}/index.html.in > $${TODIR}/index.$${LANGUAGE}.html; \
		rm $${TODIR}/index.html.in; \
	done

commit: tidy test
	$(MAKE) -C manual rebuild
	$(MAKE) info

info:
	@echo
	@echo "live-manual is currently being translated into $(shell ls manual/po | wc -w) languages."
	@echo "The translation of these languages is complete: $(shell manual/bin/show-complete-languages.sh)"
	@echo "There are $(shell manual/bin/count-untranslated-strings.sh) untranslated strings. You can run 'make translate'."
	
	@if grep -qs fuzzy manual/po/*/*; \
	then \
		echo "There are $(shell grep -w 'fuzzy' manual/po/*/* | wc -l) fuzzy strings. You can run 'make fixfuzzy'." ; \
	fi
	
	@echo
	@echo "You may now proceed...please do:"
	@echo
	@echo "  * git add ."
	@echo "  * git commit -m \"Your commit message.\""
	@echo "  * git push "

install:
	rm -f $(CURDIR)/build/manual/index.html
	mkdir -p $(DESTDIR)/usr/share/doc/live-manual
	cp -a COPYING $(CURDIR)/build/manual/* $(DESTDIR)/usr/share/doc/live-manual

uninstall:
	rm -rf $(DESTDIR)/usr/share/doc/live-manual

clean:
	rm -rf build
	rm -f manual/en/*~
	rm -f manual/po/*/*~
	rm -f manual/po/*/*.mo

distclean: clean
	rm -rf build

rebuild: distclean build

fixfuzzy:
	@if grep -qs fuzzy manual/po/*/*; \
	then \
		./manual/bin/find-fuzzy.sh ; \
	else \
		echo "There are no fuzzy strings to translate." ; \
	fi

check:
	@./manual/bin/po-integrity-check.sh

translate:
	@./manual/bin/find-untranslated.sh

spell:
	@./manual/bin/check-spelling.sh

=== manual/Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = $(shell cd po && ls)

DEBUG=0
PO4A_FLAGS=

ifeq ($(DEBUG),1)
    PO4A_FLAGS=-d
endif

ifeq ($(DEBUG),2)
    PO4A_FLAGS=-d -v
endif

all: build

po4a.cfg:
	echo "[po4a_langs] $(LANGUAGES)" > po4a.cfg
	echo "[po4a_paths] pot/\$$master.pot \$$lang:po/\$$lang/\$$master.po" >> po4a.cfg

	for FILE in en/*.ssm en/*.ssi; \
	do \
		echo "[type: text] $${FILE} \$$lang:\$$lang/$$(basename $${FILE})" >> po4a.cfg; \
	done

	echo "[type: xhtml] en/index.html.in \$$lang:\$$lang/index.html.in" >> po4a.cfg

update:
	@./bin/update-version.sh

build: check po4a.cfg
	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
	then \
		echo "E: po4a - command not found"; \
		echo "I: po4a can be obtained from http://po4a.alioth.debian.org/"; \
		echo "I: On Debian based systems, po4a can be installed with 'apt-get install po4a'."; \
		exit 1; \
	fi

	po4a --copyright-holder "Live Systems Project" --keep 0 --package-name live-manual --package-version $(shell cat ../VERSION) $(PO4A_FLAGS) po4a.cfg

clean:
	rm -f po/*/*.po~
	rm -rf ../build

distclean: clean
	rm -f po4a.cfg
	rm -rf $(LANGUAGES)

rebuild: distclean update build

check:
	@echo -n "Checking the integrity of .po files "

	@if [ -x /usr/bin/msgfmt ]; \
	then \
		for POFILE in po/*/*; \
		do \
			msgfmt --check --output-file=/dev/null $${POFILE}; \
			echo -n "."; \
		done; \
	else \
		echo "WARNING: skipping po integrity check. You must install gettext."; \
	fi
	
	@echo " done!"

=== debian/changelog ===
live-manual (2:20151217.2) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 15:11:09 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --parallel

override_dh_auto_build:
	mkdir -p debian/build/locale
	localedef -f UTF-8 -i en_US debian/build/locale/en_US.UTF-8

	LOCPATH=$(CURDIR)/debian/build/locale LC_ALL=en_US.UTF-8 dh_auto_build

override_dh_auto_clean:
	dh_auto_clean

	rm -rf debian/build

override_dh_auto_install:
	dh_auto_install

	# Removing useless files
	rm -f debian/tmp/usr/share/doc/live-manual/COPYING
	rm -f debian/tmp/usr/share/doc/live-manual/_sisu/image/.empty
	rm -f debian/tmp/usr/share/doc/live-manual/pdf/live-manual.landscape.pdf
	rm -f debian/tmp/usr/share/doc/live-manual/pdf/live-manual.portrait.pdf

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_compress:
	dh_compress -X.epub -X.html -X.odt

override_dh_install:
	dh_install --fail-missing

## live-manual 20250226

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 # Makefile
 
 ## live-manual(7) - Documentation
+## Copyright (C) 2016-2020 The Debian Live team
 ## Copyright (C) 2006-2015 Live Systems Project <debian-live@lists.debian.org>
 ##
 ## live-manual comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
@@ -12,7 +13,7 @@
 
 LANGUAGES := en $(shell cd manual/po && ls)
 
-FORMATS := epub html odf pdf txt
+FORMATS := epub html odf pdf
 
 DEBUG := 0
 
@@ -64,16 +65,16 @@
 
 build: clean
 	#FIXME: do a proper dependency-based build
-	#FORMATS = epub html odf pdf txt
+	#FORMATS = epub html odf pdf
 	#...
 	#%.pdf: $(sisu_sources)
 	#	sisu-pdf -v live-manual.ssm
 	#etc.
 
 	@# FIXME: sisu-concordance sisu-pg sisu-sqlite
-
+	$(MAKE) -C $(CURDIR)/manual LANGUAGES="$(filter-out en,$(LANGUAGES))"
 	cd $(CURDIR)/manual; \
-	sisu --configure
+	sisu --configure en/live-manual.ssm
 	for LANGUAGE in $(LANGUAGES); \
 	do \
 		for FORMAT in $(FORMATS); \
@@ -91,7 +92,7 @@
 		TODIR=$(CURDIR)/build/manual; \
 		cp $${FROMDIR}/index.html.in $${TODIR}; \
 		sed -e "s|@DATE_BUILD@|$(shell LC_ALL=C date -R)|" \
-		    -e "s|@DATE_CHANGE@|$(shell LC_ALL=C git log | grep -m1 Date | awk -FDate: '{ print $2 }' | sed -e 's|  ||g')|" \
+		    -e "s|@DATE_CHANGE@|$(shell git log -n 1 --pretty="format:%H %aI")|" \
 		$${TODIR}/index.html.in > $${TODIR}/index.$${LANGUAGE}.html; \
 		rm $${TODIR}/index.html.in; \
 	done
@@ -132,6 +133,10 @@
 	rm -f manual/po/*/*~
 	rm -f manual/po/*/*.mo
 
+gitclean:
+	# To be used when the translation files only contain autogenerated changes
+	git checkout -- manual/pot/* manual/po/*/* manual/en/live-manual.ssm
+
 distclean: clean
 	rm -rf build
 
@@ -153,3 +158,5 @@
 
 spell:
 	@./manual/bin/check-spelling.sh
+
+.PHONY: all test tidy build autobuild commit info install uninstall clean distclean rebuild fixfuzzy check translate spell

=== manual/Makefile ===
--- 
+++ 
@@ -35,12 +35,12 @@
 	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
 	then \
 		echo "E: po4a - command not found"; \
-		echo "I: po4a can be obtained from http://po4a.alioth.debian.org/"; \
+		echo "I: po4a can be obtained from https://po4a.org"; \
 		echo "I: On Debian based systems, po4a can be installed with 'apt-get install po4a'."; \
 		exit 1; \
 	fi
 
-	po4a --copyright-holder "Live Systems Project" --keep 0 --package-name live-manual --package-version $(shell cat ../VERSION) $(PO4A_FLAGS) po4a.cfg
+	po4a --copyright-holder "Debian Live Project" --keep 0 --package-name live-manual --package-version $(shell dpkg-parsechangelog --show-field Version --file ../debian/changelog | sed -e 's/^[0-9]://') $(PO4A_FLAGS) po4a.cfg
 
 clean:
 	rm -f po/*/*.po~
@@ -67,3 +67,5 @@
 	fi
 	
 	@echo " done!"
+
+.PHONY: all update build clean distclean rebuild check

=== debian/changelog ===
live-manual (2:20250226) unstable; urgency=medium

  [ Ben Armstrong ]
  * Removed myself from Uploaders.

  [ Steve McIntyre ]
  * Repo moved to salsa

  [ Luca Boccassi ]
  * Deploy manual on Salsa pages
  * Note that GPG key for repos should be in ASCII armored form
  * Update contribution policy to mention Salsa
  * Update index URLs for Salsa pages

  [ Moritz Schlarb ]
  * Add README file referencing the actual manual URL
  * Fixup various URLs

  [ d3fault ]
  * Mention .list.chroot_install before the topic of removing packages

  [ Lyndon Brown ]
  * fix user setup file location (Closes: #831337)
  * remove daniel from uploaders (Closes: #826258)
  * amend copyright
  * "Live Systems" -> "Debian Live"
  * coding-style: update
  * landing page: update

  [ Raphaël Hertzog ]
  * Drop project_procedures.ssi as live-build is not used for official releases

  [ Debian Janitor ]
  * Drop custom source compression.
  * Bump debhelper from deprecated 9 to 12.
    + debian/rules: Move --fail-missing argument to dh_missing.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dh arguments: --parallel
  * Fix day-of-week for changelog entry 20090201-1.
  * Apply multi-arch hints.
    + live-manual-epub, live-manual-html, live-manual-odf, live-manual-pdf,
      live-manual-txt: Add Multi-Arch: foreign.
  * Remove constraints unnecessary since buster:
    + Build-Depends-Indep: Drop versioned constraint on sisu-complete.

  [ Roland Clobus ]
  * Add myself as author
  * Various fixes related to the CI
  * translations: Delete all generated files. They are generated from the po files.
  * Used deb.debian.org instead of ftp.debian.org. See also #860472
  * Updated various URLs.
  * Many updates to text (it is 10 years since the last version was published)
  * Various corrections to the example command lines
  * feature: Support for --apt-ftp-proxy was removed
  * feature: Mention non-free-firmware
  * feature: --distribution defaults to 'testing'
  * Debian packaging updates

  [ Nick Brown ]
  * Document auth.conf.d custom configuration

  [ sasha0552 ]
  * Add "cryptsetup-initramfs" in the encrypted persistence example.

 -- Luca Boccassi <bluca@debian.org>  Wed, 26 Feb 2025 19:48:06 +0000

=== debian/control ===
Source: live-manual
Section: doc
Priority: optional
Maintainer: Debian Live Maintainers <debian-live@lists.debian.org>
Uploaders:
 Carlos Zuferri <chals@altorricon.com>,
Build-Depends:
 debhelper-compat (= 12),
 ruby,
 ruby-nokogiri,
Build-Depends-Indep:
 dpkg-dev,
 po4a,
 sisu-complete,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://live-team.pages.debian.net/live-manual/
Vcs-Browser: https://salsa.debian.org/live-team/live-manual
Vcs-Git: https://salsa.debian.org/live-team/live-manual.git

Package: live-manual
Section: metapackages
Architecture: all
Depends:
 live-manual-epub (>= ${source:Version}),
 live-manual-html (>= ${source:Version}),
 live-manual-odf (>= ${source:Version}),
 live-manual-pdf (>= ${source:Version}),
 ${misc:Depends},
Description: Debian Live Documentation (metapackage)
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Debian Live project.
 .
 This package is a metapackage depending on all available output formats.

Package: live-manual-epub
Architecture: all
Depends:
 ${misc:Depends},
Provides:
 live-manual,
Multi-Arch: foreign
Description: Debian Live Documentation (epub)
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the epub output.

Package: live-manual-html
Architecture: all
Depends:
 ${misc:Depends},
Provides:
 live-manual,
Multi-Arch: foreign
Replaces: live-manual-txt (<< 2:20250211~)
Breaks: live-manual-txt (<< 2:20250211~)
Description: Debian Live Documentation (html)
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the html output.

Package: live-manual-odf
Architecture: all
Depends:
 ${misc:Depends},
Provides:
 live-manual,
Multi-Arch: foreign
Description: Debian Live Documentation (odf)
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the odf output.

Package: live-manual-pdf
Architecture: all
Depends:
 ${misc:Depends},
Provides:
 live-manual,
Multi-Arch: foreign
Description: Debian Live Documentation (pdf)
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the pdf output.

Package: live-manual-txt
Architecture: all
Depends:
 ${misc:Depends}, live-manual-html (>= 2:20250211~)
Provides:
 live-manual,
Multi-Arch: foreign
Description: Debian Live Documentation (txt)
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 The text version is no longer provided, use the html variant instead.
 .
 This package is the transitional dummy package for live-manual-pdf.
 It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_build:
	make -C manual update
	# sisu needs UTF-8
	LC_ALL=C.UTF-8 dh_auto_build

override_dh_auto_install:
	dh_auto_install

	# Removing useless files
	rm -f debian/tmp/usr/share/doc/live-manual/COPYING
	rm -f debian/tmp/usr/share/doc/live-manual/_sisu/image/.empty
	rm -f debian/tmp/usr/share/doc/live-manual/pdf/live-manual.landscape.pdf
	rm -f debian/tmp/usr/share/doc/live-manual/pdf/live-manual.portrait.pdf

override_dh_compress:
	dh_compress -X.epub -X.html -X.odt

override_dh_missing:
	dh_missing --fail-missing

## live-manual 20250226build1

=== debian/changelog ===
live-manual (2:20250226build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 12:36:01 +0000
